vBulletin Mods

The Official vBulletin Modifications Site
https://www.vbulletin.org/forum/showthread.php?t=201286

RedFoxy 22 Jul 2009 01:05

I've it installed and it's great but after I installed Cyb - Advanced Forum Rules I loose the button to log as the users

Sador 29 Jul 2009 14:36

Quote:

Originally Posted by markuswarren (Post 1830711)
Firstly, An absolutely excellent mod!

Secondly, is it possible to add the "Login as User" option to the Postbit (postbit_legacy in this case) popup menu that you get when you click on a users name when viewing a thread? If so, what do I need to do? I can see the section in the postbit_legacy template where the other popup options are, but I'm unsure as to exactly what to put in there to log the user in.

I agree with this, it's a great addon. Still, this feature would be nice. Is it possible to get that?

Amiga Harrison 29 Jul 2009 15:20

Quote:

Originally Posted by Super Jinni (Post 1804348)
I just found a bug:
in modcp when super moderator go to view user's profile he gets this error:

Warning: array_merge() [function.array-merge]: Argument #1 is not an array in [path]/modcp/user.php(348) : eval()'d code on line 29

this error appear when viewing this page:
[URL]http://www.yoursite.com/forum/modcp/user.php?do=viewuser&u=xxx[/URL]
were xxx is the user id

or by going - in modcp - Users -> Search for Users -> then type user name -> [View Profile] and there it is.

hope you could fix that ASAP.

thanks -Cyp for all your great work :)

I also get this error message in exactly the same way with this mod installed.

Worth noting is that another similar (but not as good) mod called Admin login as user also produces exactly the same error.

So I think this error must occur with any mod currently designed to log a mod/admin in as another user.

I hope you can find a fix for this. It doesn't stop either mod from working, just shows the error at the top of this search user mp page. So it can be lived with.

Kolbi 12 Aug 2009 22:41

There are bug with the vb 3.8.4 can you please resolve them?

markuswarren 13 Aug 2009 02:03

Quote:

Originally Posted by Sador (Post 1857835)
I agree with this, it's a great addon. Still, this feature would be nice. Is it possible to get that?

I did manage to work out how to do the addition to the user pop-up menu, and I've been rather lax in posting what I did, so I'll rectify that now:

Upon editing postbit_legacy look for:

$template_hook[postbit_user_popup]

then after copy and paste the following:


Block Disabled:      (Update License Status)  
Suspended or Unlicensed Members Cannot View Code.

The conditional checks to see if the user is in the admin group and thus only presents the option to admin users.

I've been using this for a little while and it works like a charm.

Sador 13 Aug 2009 18:25

Quote:

Originally Posted by markuswarren (Post 1866220)
I did manage to work out how to do the addition to the user pop-up menu, and I've been rather lax in posting what I did, so I'll rectify that now:

Upon editing postbit_legacy look for:

$template_hook[postbit_user_popup]

then after copy and paste the following:


Block Disabled:      (Update License Status)  
Suspended or Unlicensed Members Cannot View Code.

The conditional checks to see if the user is in the admin group and thus only presents the option to admin users.

I've been using this for a little while and it works like a charm.

Hm, for some reason this doesn't seem to work at my board. Doesn't add anything to the pop up menu.

Still, thanks for sharing.

markuswarren 14 Aug 2009 12:34

Quote:

Originally Posted by Sador (Post 1866619)
Hm, for some reason this doesn't seem to work at my board. Doesn't add anything to the pop up menu.

Still, thanks for sharing.

Try sticking "xxxxxxxxxxx" or something that will display inside the conditional to check that this portion of it is working, as it sounds as though the conditional check might not be working.

I'm using the Matahari style by sultan themes, and it does differ, in terms of where items are located, to the default style. For example, the navbar items are not in the same location as in Default Style. Therefore it is possible that putting the code in postbit_legacy might not be where it should go, but it would make sense that it is, regardless of style being used.

Sador 14 Aug 2009 17:16

Quote:

Originally Posted by markuswarren (Post 1867092)
Try sticking "xxxxxxxxxxx" or something that will display inside the conditional to check that this portion of it is working, as it sounds as though the conditional check might not be working.

I'm using the Matahari style by sultan themes, and it does differ, in terms of where items are located, to the default style. For example, the navbar items are not in the same location as in Default Style. Therefore it is possible that putting the code in postbit_legacy might not be where it should go, but it would make sense that it is, regardless of style being used.

Ah, I found the problem. Postbit_legacy is used only for people who are using legacy mode. So, the code was alright, just had to put it in postbit instead of postbit_legacy. Thanks for the help!

dandanch 21 Aug 2009 06:19

doesn't seem to be working for 3.8.4 won't let you log in
to the users account do you have a fix?thanks

RedFoxy 24 Aug 2009 13:22

Ok I found and fix the troubles about "Cyb - Advanced Forum Rules" and "Cyb - Login To User Account", to fix it you must edit "Cyb - Login To User Account - MI" and:

Find:

Block Disabled:      (Update License Status)  
Suspended or Unlicensed Members Cannot View Code.

Replace With:

Block Disabled:      (Update License Status)  
Suspended or Unlicensed Members Cannot View Code.


dandanch 25 Aug 2009 05:47

on my 3.8.4 boards to get it working again all i did was uninstalled it and re-instilled
it should work fine..

DeanoUK 25 Aug 2009 09:04

Installed on www.ukcigarforums.com, along with most over Cyb mods! Thanks bud!

LordDB 25 Aug 2009 22:21

Quote:

Originally Posted by Amiga Harrison (Post 1857864)
I also get this error message in exactly the same way with this mod installed.
Warning: array_merge() [function.array-merge]: Argument #1 is not an array in [path]/modcp/user.php(348) : eval()'d code on line 29

Worth noting is that another similar (but not as good) mod called Admin login as user also produces exactly the same error.

So I think this error must occur with any mod currently designed to log a mod/admin in as another user.

I hope you can find a fix for this. It doesn't stop either mod from working, just shows the error at the top of this search user mp page. So it can be lived with.

uninstall the version you have at present, and install this version here:

http://www.vbulletin.org/forum/showthread.php?t=177947

hypoharry 05 Sep 2009 23:54

Amazing collection of mods on my forums now but this is the best one buy far

Dutch_Boy 08 Sep 2009 17:37

Love it !! Thanks for the great mod !!


All times are GMT. The time now is 16:21.

Powered by vBulletin® Version 3.8.14
Copyright © 2021, MH Sub I, LLC dba vBulletin. All Rights Reserved. vBulletin® is a registered trademark of MH Sub I, LLC
Copyright ©2001 - , vbulletin.org. All rights reserved.